<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/**********************************************/
/* Récupération technicien en fonction agence */
/* Pour contrat de location                   */
/**********************************************/

session_start(); 
sleep(1);
if (array_key_exists("ca", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?ca=un-code-agence";
}

function print_plain()
{
	header("Content-type: text/html; charset=windows-1252");
	$tec = get_tec($_REQUEST["ca"]);
	$result = array();
	foreach ($tec as $row)
	{
		$result[] = $row["tec_code"]."=".$row["tec_nom"]." ".$row["tec_prenom"];
	}
	print implode(";", $result);
}

function get_tec($age)
{
	if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
	include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
	include_once("../inc/config.inc.php");
	include_once("../inc/func_txt.inc.php");
	// On cree le resultat
	$result = array();
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// On recupere les enregistrements
	$rech = "SELECT * FROM ".TBTEC." WHERE tec_codeage='".$age."' AND tec_out='0' ORDER BY tec_nom";
	$rs = mysql_query($rech) or die(mysql_error());
	while($row = mysql_fetch_array($rs))
	{
		$result[] = $row;
	}
	mysql_close();
	return $result;
}

?>